Debian Bug report logs - #571110
w3af-console: depends on python-json

version graph

Package: w3af-console; Maintainer for w3af-console is Luciano Bello <luciano@debian.org>; Source for w3af-console is src:w3af.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Tue, 23 Feb 2010 14:48:02 UTC

Severity: normal

Tags: patch

Found in version w3af/1.0~rc2svn3180-1

Fixed in version w3af/1.0-rc3svn3489-1

Done: Luciano Bello <luciano@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Luciano Bello <luciano@debian.org>:
Bug#571110; Package w3af-console. (Tue, 23 Feb 2010 14:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Luciano Bello <luciano@debian.org>. (Tue, 23 Feb 2010 14:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: w3af-console: depends on python-json
Date: Tue, 23 Feb 2010 15:44:28 +0100
[Message part 1 (text/plain, inline)]
Package: w3af-console
Version: 1.0~rc2svn3180-1
Severity: important
User: debian-python@lists.debian.org
Usertags: python2.6

Hello,

Your package depends on python-json and uses the module named 'json'. In 
Python 2.6 there is a standard library module 'json', which has a 
different API than the one provided by python-json. This means that 
parts of w3af-console will break when Python 2.6 becomes the default 
version.

It's not yet clear if python-json is going to removed or named (see bug 
#570121); therefore, the best way to fix this bug is probably to patch 
the package to use JSON API provided by python-simplejson and python2.6.

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sun, 28 Feb 2010 13:36:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luciano Bello <luciano@debian.org>:
Bug#571110; Package w3af-console. (Tue, 16 Mar 2010 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Seksan Poltree <seksan.poltree@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luciano Bello <luciano@debian.org>. (Tue, 16 Mar 2010 08:57:03 GMT) Full text and rfc822 format available.

Message #12 received at 571110@bugs.debian.org (full text, mbox):

From: Seksan Poltree <seksan.poltree@gmail.com>
To: 571110@bugs.debian.org
Subject: patch for w3af-console version 1.0~rc2svn3180-1.1
Date: Tue, 16 Mar 2010 22:51:47 +0700
[Message part 1 (text/plain, inline)]
tags 571110 + patch
thanks

Dear maintainer,

Due to python2.6 have its own json implementation
which might conflict with this package when import.
I just simply include json-py in the extralib to avoid this.

The patch is attached.

Regards,

Seksan Poltree
[w3af_1.0~rc2svn3180-1.1.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Seksan Poltree <seksan.poltree@gmail.com> to control@bugs.debian.org. (Tue, 16 Mar 2010 09:06:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luciano Bello <luciano@debian.org>:
Bug#571110; Package w3af-console. (Thu, 18 Mar 2010 11:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Luciano Bello <luciano@debian.org>. (Thu, 18 Mar 2010 11:06:03 GMT) Full text and rfc822 format available.

Message #19 received at 571110@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Seksan Poltree <seksan.poltree@gmail.com>
Cc: 571110@bugs.debian.org, Luciano Bello <luciano@debian.org>
Subject: Re: Bug#571110: patch for w3af-console version 1.0~rc2svn3180-1.1
Date: Thu, 18 Mar 2010 12:03:19 +0100
[Message part 1 (text/plain, inline)]
On Tue, Mar 16, 2010 at 10:51:47PM +0700, Seksan Poltree wrote:
> Due to python2.6 have its own json implementation
> which might conflict with this package when import.
> I just simply include json-py in the extralib to avoid this.
> 
> The patch is attached.

While upstream code structure seems to be already set up to use, if
available, jsonpy, including its sources in w3af is not particularly
nice. In Debian we prefer to factor out common code of external
libraries for a lot of reasons (e.g. having a single package to fix in
case of security problems).

I doubt anybody would be happy to go forward with this patch without an
explicit agreement of the maintainer, hence I'm copying him (hi,
Luciano!) to explicitly ask for his advice.  As an alternative, instead
of explicitly including jsonpy in a diff, we might consider packaging a
new SVN snapshot which seems to contain jsonpy in it already (I've no
idea of the current status of SVN trunk, though).

Cheers.

PS Luciano, this is also an offer for help, if you approve the proposed
   patch, I'd be happy to contribute an NMU of this.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#571110; Package w3af-console. (Thu, 18 Mar 2010 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luciano Bello <luciano@debian.org>:
Extra info received and forwarded to list. (Thu, 18 Mar 2010 18:57:03 GMT) Full text and rfc822 format available.

Message #24 received at 571110@bugs.debian.org (full text, mbox):

From: Luciano Bello <luciano@debian.org>
To: Stefano Zacchiroli <zack@debian.org>, 571110@bugs.debian.org
Cc: Andres Riancho <andres.riancho@gmail.com>
Subject: Re: Bug#571110: patch for w3af-console version 1.0~rc2svn3180-1.1
Date: Thu, 18 Mar 2010 15:47:40 -0300
El Jue 18 Mar 2010, Stefano Zacchiroli escribió:
> PS Luciano, this is also an offer for help, if you approve the proposed
>    patch, I'd be happy to contribute an NMU of this.

After few tests, I notice that w3af is not working for 2.6 anyway (few deps are 
not for 2.6). So I'm working in a package that use 2.5 exclusively. I will try 
to upload this new version before next Monday.

Thanks a lot for all your help, 

luciano




Severity set to 'normal' from 'serious' Request was from Luciano Bello <luciano@debian.org> to control@bugs.debian.org. (Mon, 22 Mar 2010 15:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luciano Bello <luciano@debian.org>:
Bug#571110; Package w3af-console. (Mon, 22 Mar 2010 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Luciano Bello <luciano@debian.org>. (Mon, 22 Mar 2010 16:21:03 GMT) Full text and rfc822 format available.

Message #31 received at 571110@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Luciano Bello <luciano@debian.org>, 571110@bugs.debian.org
Subject: Re: Bug#571110: patch for w3af-console version 1.0~rc2svn3180-1.1
Date: Mon, 22 Mar 2010 17:19:37 +0100
[Message part 1 (text/plain, inline)]
* Luciano Bello <luciano@debian.org>, 2010-03-18, 15:47:
>After few tests, I notice that w3af is not working for 2.6 anyway (few 
>deps are not for 2.6).

Which ones?

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luciano Bello <luciano@debian.org>:
Bug#571110; Package w3af-console. (Mon, 10 May 2010 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bzed@debian.org>:
Extra info received and forwarded to list. Copy sent to Luciano Bello <luciano@debian.org>. (Mon, 10 May 2010 21:57:03 GMT) Full text and rfc822 format available.

Message #36 received at 571110@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: 571110@bugs.debian.org, 580645@bugs.debian.org
Subject: w3af: diff for NMU version 1.0~rc2svn3429-1.1
Date: Mon, 10 May 2010 23:45:34 +0200
tags 571110 + patch
tags 571110 + pending
tags 580645 + patch
tags 580645 + pending
thanks

Dear maintainer,

I've prepared an NMU for w3af (versioned as 1.0~rc2svn3429-1.1) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer.
Sorry that I'm a bit in a hurry, but I'd like to have this fixed
instead of seing a removal of w3af from testing during the Python2.6
migration. Also python-json needs to go out of the archive.

Regards,

Bernd



diff -u w3af-1.0~rc2svn3429/debian/w3af.sh w3af-1.0~rc2svn3429/debian/w3af.sh
--- w3af-1.0~rc2svn3429/debian/w3af.sh
+++ w3af-1.0~rc2svn3429/debian/w3af.sh
@@ -2,5 +2,5 @@
 if [ ! -z "$DISPLAY" -a -r /usr/share/w3af/w3af_gui ] ; then 
-   /usr/bin/python2.5 /usr/share/w3af/w3af_gui $@
+   /usr/bin/python /usr/share/w3af/w3af_gui $@
 else
-   /usr/bin/python2.5 /usr/share/w3af/w3af_console $@
+   /usr/bin/python /usr/share/w3af/w3af_console $@
 fi
diff -u w3af-1.0~rc2svn3429/debian/control w3af-1.0~rc2svn3429/debian/control
--- w3af-1.0~rc2svn3429/debian/control
+++ w3af-1.0~rc2svn3429/debian/control
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5), python-support, dpatch
 Standards-Version: 3.8.4
 Homepage: http://w3af.sourceforge.net/
-XS-Python-Version: 2.5
+XS-Python-Version: all
 
 Package: w3af
 Architecture: all
@@ -29,7 +29,8 @@
 Package: w3af-console
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-json, python-beautifulsoup, python-soappy, python-pypdf, python-openssl, python-pysqlite2
+Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.6) | python-simplejson, python-beautifulsoup, python-soappy, python-pypdf, python-openssl, python-pysqlite2
+Conflicts: python-json
 Description: framework to find and exploit web application vulnerabilities (CLI only)
  w3af is a Web Application Attack and Audit Framework which aims
  to identify and exploit all web application vulnerabilities.
diff -u w3af-1.0~rc2svn3429/debian/changelog w3af-1.0~rc2svn3429/debian/changelog
--- w3af-1.0~rc2svn3429/debian/changelog
+++ w3af-1.0~rc2svn3429/debian/changelog
@@ -1,3 +1,11 @@
+w3af (1.0~rc2svn3429-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Replace python-json by python-simplejson. (Closes: #571110, #580645)
+  * Build for all Python versions and use the default Python version.
+
+ -- Bernd Zeimetz <bzed@debian.org>  Mon, 10 May 2010 23:41:04 +0200
+
 w3af (1.0~rc2svn3429-1) unstable; urgency=low
   * Now, only for python2.5.
 
diff -u w3af-1.0~rc2svn3429/debian/w3af_gui.sh w3af-1.0~rc2svn3429/debian/w3af_gui.sh
--- w3af-1.0~rc2svn3429/debian/w3af_gui.sh
+++ w3af-1.0~rc2svn3429/debian/w3af_gui.sh
@@ -2,3 +2,3 @@
 if [ -r /usr/share/w3af/w3af_gui ] ; then 
-   /usr/bin/python2.5 /usr/share/w3af/w3af_gui $@
+   /usr/bin/python /usr/share/w3af/w3af_gui $@
 fi
diff -u w3af-1.0~rc2svn3429/debian/patches/00list w3af-1.0~rc2svn3429/debian/patches/00list
--- w3af-1.0~rc2svn3429/debian/patches/00list
+++ w3af-1.0~rc2svn3429/debian/patches/00list
@@ -3,0 +4 @@
+04_json-fix.dpatch
only in patch2:
unchanged:
--- w3af-1.0~rc2svn3429.orig/debian/patches/04_json-fix.dpatch
+++ w3af-1.0~rc2svn3429/debian/patches/04_json-fix.dpatch
@@ -0,0 +1,114 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## json-fix.dpatch by Bernd Zeimetz <bzed@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' w3af-1.0~rc2svn3429~/core/controllers/misc/dependencyCheck.py w3af-1.0~rc2svn3429/core/controllers/misc/dependencyCheck.py
+--- w3af-1.0~rc2svn3429~/core/controllers/misc/dependencyCheck.py	2010-03-06 16:14:46.000000000 +0100
++++ w3af-1.0~rc2svn3429/core/controllers/misc/dependencyCheck.py	2010-05-10 22:48:57.191003428 +0200
+@@ -97,10 +97,10 @@
+             sys.exit( 1 )
+     
+     try:
+-        from extlib.jsonpy import json as json
+-    except:
++        import json
++    except ImportError:
+         try:
+-            import json
++            import simplejson as json
+         except:
+             print 'You have to install python-json lib. Debian based distributions: apt-get install python-json'
+             sys.exit( 1 )
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' w3af-1.0~rc2svn3429~/core/data/fuzzer/fuzzer.py w3af-1.0~rc2svn3429/core/data/fuzzer/fuzzer.py
+--- w3af-1.0~rc2svn3429~/core/data/fuzzer/fuzzer.py	2010-03-06 16:14:48.000000000 +0100
++++ w3af-1.0~rc2svn3429/core/data/fuzzer/fuzzer.py	2010-05-10 22:48:57.192000714 +0200
+@@ -38,9 +38,9 @@
+ from core.data.dc.cookie import cookie as cookie
+ from core.data.dc.dataContainer import dataContainer as dc
+ try:
+-    from extlib.jsonpy import json as json
+-except:
+     import json
++except ImportError:
++    import simplejson as json
+ from core.data.request.httpPostDataRequest import httpPostDataRequest
+ from core.data.request.httpQsRequest import httpQsRequest
+ 
+@@ -210,7 +210,7 @@
+     
+     # Now, fuzz the parsed JSON data...
+     postdata = freq.getData()
+-    jsonPostData = json.read( postdata )
++    jsonPostData = json.loads( postdata )
+     return _makeMutants( freq, mutantClass, mutant_str_list, fuzzableParamList , append, jsonPostData )
+ 
+ def isJSON( freq ):
+@@ -222,7 +222,7 @@
+         # We have something that's not URL encoded in the postdata, it could be something
+         # like JSON, XML, or multipart encoding. Let's try with JSON
+         try:
+-            jsonPostData = json.read( postdata )
++            jsonPostData = json.loads( postdata )
+         except:
+             # It's not json, maybe XML or multipart, I don't really care ( at least not in this section of the code )
+             return False
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' w3af-1.0~rc2svn3429~/core/data/request/frFactory.py w3af-1.0~rc2svn3429/core/data/request/frFactory.py
+--- w3af-1.0~rc2svn3429~/core/data/request/frFactory.py	2010-03-06 16:14:48.000000000 +0100
++++ w3af-1.0~rc2svn3429/core/data/request/frFactory.py	2010-05-10 22:48:57.192000714 +0200
+@@ -37,9 +37,9 @@
+ 
+ # for json
+ try:
+-    from extlib.jsonpy import json as json
+-except:
+     import json
++except importError:
++    import simplejson as json
+ 
+ from core.controllers.w3afException import w3afException
+ import core.controllers.outputManager as om
+@@ -200,7 +200,7 @@
+         #   Case #2, JSON request
+         #
+         try:
+-            dc = json.read( postData )
++            dc = json.loads( postData )
+         except:
+             pass
+         else:
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' w3af-1.0~rc2svn3429~/core/data/request/jsonPostDataRequest.py w3af-1.0~rc2svn3429/core/data/request/jsonPostDataRequest.py
+--- w3af-1.0~rc2svn3429~/core/data/request/jsonPostDataRequest.py	2009-11-26 00:09:09.000000000 +0100
++++ w3af-1.0~rc2svn3429/core/data/request/jsonPostDataRequest.py	2010-05-10 22:48:57.193000724 +0200
+@@ -25,9 +25,9 @@
+ from core.data.request.httpPostDataRequest import httpPostDataRequest
+ import core.data.dc.dataContainer as dc
+ try:
+-    from extlib.jsonpy import json as json
+-except:
+     import json
++except ImportError:
++    import simplejson as json
+ 
+ class jsonPostDataRequest(httpPostDataRequest):
+     '''
+@@ -43,7 +43,7 @@
+         '''
+         @return: A string that represents the JSON data saved in the dc.
+         '''
+-        res = json.write(self._dc)
++        res = json.dumps(self._dc)
+         return res
+         
+     def __str__( self ):
+@@ -54,7 +54,7 @@
+         strRes += self._url
+         strRes += ' | Method: ' + self._method
+         strRes += ' | JSON: ('
+-        strRes += json.write(self._dc)
++        strRes += json.dumps(self._dc)
+         strRes += ')'
+         return strRes
+     




Added tag(s) pending. Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Mon, 10 May 2010 21:57:10 GMT) Full text and rfc822 format available.

Reply sent to Luciano Bello <luciano@debian.org>:
You have taken responsibility. (Fri, 14 May 2010 23:48:14 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Fri, 14 May 2010 23:48:15 GMT) Full text and rfc822 format available.

Message #43 received at 571110-close@bugs.debian.org (full text, mbox):

From: Luciano Bello <luciano@debian.org>
To: 571110-close@bugs.debian.org
Subject: Bug#571110: fixed in w3af 1.0-rc3svn3489-1
Date: Fri, 14 May 2010 23:47:34 +0000
Source: w3af
Source-Version: 1.0-rc3svn3489-1

We believe that the bug you reported is fixed in the latest version of
w3af, which is due to be installed in the Debian FTP archive:

w3af-console_1.0-rc3svn3489-1_all.deb
  to main/w/w3af/w3af-console_1.0-rc3svn3489-1_all.deb
w3af_1.0-rc3svn3489-1.diff.gz
  to main/w/w3af/w3af_1.0-rc3svn3489-1.diff.gz
w3af_1.0-rc3svn3489-1.dsc
  to main/w/w3af/w3af_1.0-rc3svn3489-1.dsc
w3af_1.0-rc3svn3489-1_all.deb
  to main/w/w3af/w3af_1.0-rc3svn3489-1_all.deb
w3af_1.0-rc3svn3489.orig.tar.gz
  to main/w/w3af/w3af_1.0-rc3svn3489.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 571110@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luciano Bello <luciano@debian.org> (supplier of updated w3af package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 May 2010 11:20:27 -0300
Source: w3af
Binary: w3af w3af-console
Architecture: source all
Version: 1.0-rc3svn3489-1
Distribution: unstable
Urgency: low
Maintainer: Luciano Bello <luciano@debian.org>
Changed-By: Luciano Bello <luciano@debian.org>
Description: 
 w3af       - framework to find and exploit web application vulnerabilities
 w3af-console - framework to find and exploit web application vulnerabilities (CL
Closes: 555346 571004 571110 580645
Changes: 
 w3af (1.0-rc3svn3489-1) unstable; urgency=low
 .
   [ Luciano Bello ]
   * New SVN export revision: 3489
   * removed from the source
     - nltk (closes: #571004, #555346)
     - yalm
   * Licenses added to the copyright file:
     - dir_bruter/common_dirs_small.db: cc-by-sa 3.0
     - extlib/ntlmaps: LGPL
     - extlib/gtkcodebuffer: LGPL
     - core/data/url/handlers/keepalive.py: LGPL-2.1
 .
   [ Bernd Zeimetz ]
   * Replace python-json by python-simplejson. (Closes: #571110, #580645)
   * Build for all Python versions and use the default Python version.
Checksums-Sha1: 
 2a0f8aff0fa42e04ab6e037c7341c1a8a5cbe5fc 1084 w3af_1.0-rc3svn3489-1.dsc
 2ed738e16830fc95ca3d0335ba7be2f5ea7d6801 21399160 w3af_1.0-rc3svn3489.orig.tar.gz
 9044d3a7cecc0c52000d57b1d4b1b6c53efc02db 6375 w3af_1.0-rc3svn3489-1.diff.gz
 d6b776ff67a7ac6bd6be563e823d790de9d72e38 543180 w3af_1.0-rc3svn3489-1_all.deb
 83c22766fc53c47737554c852a8a2891f52f50ff 20780474 w3af-console_1.0-rc3svn3489-1_all.deb
Checksums-Sha256: 
 567f68c1af520af2bb104d6d2709668435c68fc20d802c7ad874575a64b67d4e 1084 w3af_1.0-rc3svn3489-1.dsc
 16a23eebf9f58a6f661fb790ba4632c07eabd9422c5c688ac086b9c473bb938d 21399160 w3af_1.0-rc3svn3489.orig.tar.gz
 9ce2cb7eb15840b3d447b176031138a90c438a93c2eead533c7d1b2e21f89658 6375 w3af_1.0-rc3svn3489-1.diff.gz
 99e79e75677b12f2d19f433636201861ca4c44f61677da09d369ba0e3ec67520 543180 w3af_1.0-rc3svn3489-1_all.deb
 98d0f9e6dc042c37b88da2ab67fb218f7e5184ef7a64d91d8ee6cea11b28ee55 20780474 w3af-console_1.0-rc3svn3489-1_all.deb
Files: 
 0b7a775797de1c2e73209c8179492521 1084 net extra w3af_1.0-rc3svn3489-1.dsc
 3f3dfcb47cc4991f0669477e4320f727 21399160 net extra w3af_1.0-rc3svn3489.orig.tar.gz
 bb11032dadd9f953cbc5d15a1db63d63 6375 net extra w3af_1.0-rc3svn3489-1.diff.gz
 82e74546554658599b41800c4b7951b7 543180 net extra w3af_1.0-rc3svn3489-1_all.deb
 22c8b6df5f055bae34816f19cc514712 20780474 net extra w3af-console_1.0-rc3svn3489-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkvt01EACgkQQWTRs4lLtHmCaQCdH2bTTtxRAnv7DPUS7AtlbS2Y
vfsAoLL2X1/r57qPRkdH2EnNo8TyIFPq
=LBkq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Jun 2010 07:30:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:56:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.